Page MenuHomePhabricator

[Regression pre-wmf5] Switching from VE to read mode re-embiggens the text again
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce:

1.Open a page with VE

Observe there is a flicker of much bigger font while opening the page , now switch to read mode all texts are appearing with much bigger size.

Event Timeline

Ryasmeen created this task.May 5 2015, 7:15 PM
Ryasmeen raised the priority of this task from to Medium.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2015, 7:15 PM
Krinkle added a subscriber: Krinkle.EditedMay 5 2015, 7:28 PM

Confirmed.

First problem:

After switching back to Read mode, the div.ve-init-target element remains in the DOM. While the element existing is a long-known issue (we're not calling ve.init.Target#destroy), the element is usually empty (as is the case in production). However on Beta labs currently the entire page (firstHeading, bodyContent etc.) remains inside ve-init-target after having switched back to Read mode. This is causing various issues, including the font distortion. I don't think this is caused by Beta cluster circumstances and would expect this to happen in production soon if we don't fix it.

Caused by:

.ve-init-target .mw-body-content, /* .. */ {
  font-size: 1.09375em;

Second problem:

More importantly, after having switched back to Read mode, the Edit tab no longer works. Clicking it dims the page but (without any error or other indication) the interface remains indefinitely frozen. (Unlike T96905 where at least an error, or toolbar or loader shows up.)

I see the api.php?action=visualeditor, api/rest_v1/page/html/Main_Page, and statsv?ve.mwTarget.performance requests starting (and completing) without any issue. No errors in the console.

Krinkle raised the priority of this task from Medium to High.May 5 2015, 7:47 PM

I can reproduce this locally and also noticed that it's not limited to the use case of switching back to Read mode.

Even in Edit mode various elements have a distorted font-size (e.g. the siteSub and contentSub are too big when in Edit mode).

Ryasmeen assigned this task to matmarex.May 5 2015, 11:57 PM
Ryasmeen set Security to None.
Jdforrester-WMF renamed this task from [Regression pre-wmf5] The font for headings/texts etc are appearing bigger after opening VE and switching to read mode to [Regression pre-wmf5] Switching from VE to read mode re-embiggens the text again and makes it impossible to edit twice in one session.May 6 2015, 12:01 AM
Jdforrester-WMF raised the priority of this task from High to Unbreak Now!.

Change 209273 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Be more selective in application of 0.8em font size"

https://gerrit.wikimedia.org/r/209273

If this is "Unbreak Now!" priority, I recommend merging that revert above; I do not have time today to work on it. With it merged, the only font-size issue is that the page heading, in VisualEditor and after closing it, is a bit smaller. (It doesn't help with not being able to reopen the editor.)

Change 209273 merged by jenkins-bot:
Revert "Be more selective in application of 0.8em font size"

https://gerrit.wikimedia.org/r/209273

The issue with the font is fixed but it is still failing to load VE , so i suppose this is a separate issue and filed a separate bug: https://phabricator.wikimedia.org/T98388

Ryasmeen renamed this task from [Regression pre-wmf5] Switching from VE to read mode re-embiggens the text again and makes it impossible to edit twice in one session to [Regression pre-wmf5] Switching from VE to read mode re-embiggens the text again.May 7 2015, 12:16 AM